import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  path: z.string(),
  isActive: z.boolean().optional(),
  createdAt: z.coerce.date().optional()
}).strict();
export const BackupDestinationUncheckedCreateWithoutUserInputObjectSchema: z.ZodType<Prisma.BackupDestinationUncheckedCreateWithoutUserInput> = makeSchema() as unknown as z.ZodType<Prisma.BackupDestinationUncheckedCreateWithoutUserInput>;
export const BackupDestinationUncheckedCreateWithoutUserInputObjectZodSchema = makeSchema();
